petsc-3.13.6 2020-09-29
Report Typos and Errors

# SNESViewFromOptions

View from Options

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESViewFromOptions(SNES A,PetscObject obj,const char name[])

Collective on SNES

### Input Parameters

| A | - the Section 1.5 Writing Application Codes with PETSc ordering context
| obj | - Optional object
| name | - command line option

### See Also

SNES, SNESView, PetscObjectViewFromOptions(), SNESCreate()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages